Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#36840 closed defect (invalid)

OpenCV @2.3.1_a3 Revision 90303 port install fails

Reported by: hbarkley@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.1.2
Keywords: Cc:
Port: OpenCV

Description

The port file for OpenCV revision 90303 fails to install due to the dependency port ffmpeg version 1.0 being dynamically updated. Version 0.7.13 of ffmpeg is required to build OpenCV 2.3.1. I've manually installed the 0.7.13 revision of ffmpeg and deactivated the 1.0 revision. When I run the OpenCV portfile, it dynamically updates it to revision 1.0. Please advise.

Change History (4)

comment:1 Changed 8 years ago by ryandesign (Ryan Schmidt)

The OpenCV port is at version 2.4.2, not 2.3.1_a3. Please "sudo port selfupdate" and try OpenCV 2.4.2.

comment:2 in reply to:  1 ; Changed 8 years ago by hbarkley@…

Replying to ryandesign@…:

There is a bug in 2.4.2 that causes standard deviation to crash. Is there any way for me to modify the 2.3.1 OpenCV portfile to not dynamically update dependancies? Sorry if this is a stupid question, but I'm new to Linux.

comment:3 in reply to:  2 Changed 8 years ago by pixilla (Bradley Giesbrecht)

Replying to hbarkley@…:

There is a bug in 2.4.2 that causes standard deviation to crash.

I don't know what you mean by "standard deviation".

If you want to install/upgrade a port without upgrading the ports dependencies have a look at "-n".

man port
/-n
Last edited 8 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:4 Changed 8 years ago by mf2k (Frank Schima)

Resolution: invalid
Status: newclosed

Macports has nothing to do with Linux.

There's nothing to fix here. Please instead post to the Macports Users mailing list if you still need help.

Note: See TracTickets for help on using tickets.